Bug 126314 - "s", "m", or "u" in ja_JP causes segfault
"s", "m", or "u" in ja_JP causes segfault
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texinfo (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-18 17:46 EDT by Eido Inoue
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.7-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-20 12:37:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eido Inoue 2004-06-18 17:46:02 EDT
Description of problem:
When not running in the "C" locale (especially a multibyte locale
like ja_JP.UTF-8)

Version-Release number of selected component (if applicable):
info-4.6-3

How reproducible:
50%. Keep doing an "s" and you'll eventually segfault it...

Steps to Reproduce:
1. run FC2 in a Japanese locale. (confirm with "locale(1)" command)
2. find a page with lots of text/menus on it (libc's index is good)
3. keep using "s" command until it segfaults.
 
Additional info:

Have not tested with other multibyte locales, but I suspect that
any multibyte locale is vulnerable to this bug.
Comment 1 Eido Inoue 2004-06-21 13:07:37 EDT
actually, not just the "s" command... decending into sub-trees and
ascending enough times will also cause segfaults.
Comment 2 Tim Waugh 2004-06-25 07:49:23 EDT
Haven't been able to reproduce this.

I built 4.7 earlier on -- does that have the same problem?

Can you show me a stack trace?
Comment 3 Eido Inoue 2004-07-07 12:04:14 EDT
4.7 seems to work ok (rebuilt from fc3 src rpm) fc2 with UTF-8
japanese. Nice work.
Comment 4 Tim Waugh 2004-07-07 12:21:10 EDT
I wonder if this warrants an update then -- another incentive is that
mainline gcc doesn't build with texinfo-4.6 any more.

Thanks for testing.
Comment 5 Eido Inoue 2004-07-07 12:24:14 EDT
considering that info-4.6 in its current state is not very usable with
Japanese (and I'm willing to bet Chinese and Korean too), yes, I'd
recommend an update to 4.7.

Note You need to log in before you can comment on or make changes to this bug.